/*
 * Created on 27. 7. 2017 15:46:57
 *
 */
package com.jh.radegast.security;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Version;

import com.jh.common.jpa.AbstractIdEntity;


/**
 * The Class AppUser.
 *
 * @author Jan Hrabal
 */
@Entity
@Table(name = "APP_USER")
public class AppUser extends AbstractIdEntity {

    /** The version. */
    @Version
    @Column(name = "VERSION")
    private Long version;
    
    /** The deleted. */
    @Column(name = "DELETED")
    private Boolean deleted;
    
    /** The email. */
    @Column(name = "EMAIL")
    private String email;
    
    /** The password. */
    @Column(name = "PASSWORD")
    private String password; 
    
    /** The password salt. */
    @Column(name = "PASSWORD_SALT")
    private String passwordSalt; 
    
    /** The first name. */
    @Column(name = "FIRST_NAME")
    private String firstName;
    
    /** The last name. */
    @Column(name = "LAST_NAME")
    private String lastName; 
    
    /** The role. */
    @Column(name = "ROLE")
    private String role;
    
    
    /**
     * Gets the email.
     *
     * @return the email
     */
    public String getEmail() {
        return email;
    }

    /**
     * Sets the email.
     *
     * @param email the new email
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * Gets the version.
     *
     * @return the version
     */
    public Long getVersion() {
        return version;
    }

    /**
     * Sets the version.
     *
     * @param version the new version
     */
    public void setVersion(Long version) {
        this.version = version;
    }

    /**
     * Gets the deleted.
     *
     * @return the deleted
     */
    public Boolean getDeleted() {
        return deleted;
    }

    /**
     * Sets the deleted.
     *
     * @param deleted the new deleted
     */
    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    /**
     * Gets the password.
     *
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * Sets the password.
     *
     * @param password the new password
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * Gets the password salt.
     *
     * @return the password salt
     */
    public String getPasswordSalt() {
        return passwordSalt;
    }

    /**
     * Sets the password salt.
     *
     * @param passwordSalt the new password salt
     */
    public void setPasswordSalt(String passwordSalt) {
        this.passwordSalt = passwordSalt;
    }

    /**
     * Gets the first name.
     *
     * @return the first name
     */
    public String getFirstName() {
        return firstName;
    }

    /**
     * Sets the first name.
     *
     * @param firstName the new first name
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /**
     * Gets the last name.
     *
     * @return the last name
     */
    public String getLastName() {
        return lastName;
    }

    /**
     * Sets the last name.
     *
     * @param lastName the new last name
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    /**
     * Gets the role.
     *
     * @return the role
     */
    public String getRole() {
        return role;
    }

    /**
     * Sets the role.
     *
     * @param role the new role
     */
    public void setRole(String role) {
        this.role = role;
    }

}
